Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362546 - Changes are to assignees are not properly reflected
Summary: Changes are to assignees are not properly reflected
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 5.0
Assignee: Matt Tyson 🤬
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 13:20 UTC by Yehuda Zimmerman
Modified: 2018-12-09 06:29 UTC (History)
4 users (show)

Fixed In Version: 5.0.3-rh8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-11 01:04:42 UTC


Attachments (Terms of Use)

Description Yehuda Zimmerman 2016-08-02 13:20:14 UTC
Description of problem:

When changing an assignee, contact, or QA person, the change is not reflected in the Needed Info field, although the email sent goes to the new assignee, contact, or QA person.


Version-Release number of selected component (if applicable):


How reproducible:
Should be easy

Steps to Reproduce:
1. Change Assigned To to jdoe@redhat.com. 
2. Check the Need additional information from checkbox.
3. Select assignee from the dropdown list. The name of the original assignee appears in the field - not jdoe@redhat.com.
4. Click Save Changes. 

Actual results:
The assignee email is sent to jdoe@redhat.com.

Expected results:
One of the following:
* The email is sent to the original assignee
* The Need additional info from field should show the new assignee

Additional info:
I am pretty sure that this is the same for changed QA contact or Docs contact

Comment 1 Matt Tyson 🤬 2016-09-19 03:54:22 UTC
The javascript actually hardcoded at page load time the values for assigned to, qa contact etc.

We should make this fetch the value from the text box and use that.

Comment 2 Matt Tyson 🤬 2016-09-19 06:07:08 UTC
Now we will fetch the email address from the assigned to (or qe, etc) fields and the users full name via RPC build the text field from that.

Comment 3 Matt Tyson 🤬 2016-09-19 06:14:00 UTC
Committed to Bugzilla 5.0 branch.

Comment 4 Rony Gong 🔥 2016-10-09 09:03:03 UTC
Tested on QA environment(5.0.3-rh8)
Result: Pass
Steps:
1. create a bug, then change Assigned To jdoe@redhat.com, don't click save button 
2. Check the user of  Need additional information from assignee
==>It changes to 'jdoe@redhat.com'


Note You need to log in before you can comment on or make changes to this bug.